###########################################################################
# Copyright 2015, 2016, 2017 IoT.bzh
#
# author: Fulup Ar Foll <fulup@iot.bzh>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
###########################################################################


Name:    agl-afb-mpdc
# WARNING {name} is not used for tar file name in source nor for setup
#         Check hard coded values required to match git directory naming
Version: 1506436230.0db6664
Release: 12.2
Group:   AGL
License: Apache-2.0
Summary: Provide an AGL Application Framework Binding for Music Player Daemon
Url:     https://github.com/iotbzh/audio-mpc
Source0: afb-mpdc-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc gcc-c++
BuildRequires: pkgconfig(json-c)
BuildRequires: pkgconfig(libsystemd) >= 222
BuildRequires: pkgconfig(afb-daemon)
BuildRequires: pkgconfig(libmicrohttpd) >= 0.9.55
BuildRequires: pkgconfig(libmpdclient)

# Warning these add repo mutimedia:apps on OpenSUSE
Requires: mpd
Requires: mpclient

BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%define _prefix /opt/AGL/afb-mpdc
%define __cmake cmake

%description
MPDC (Music Player Daemon Client) is a standard AGL Application Framework binding.
It works on AGL as well as on any modern Linux standard distribution. It provide API to play music, handle playlist, ...
It it a work in progress and while not every simple function from MPD are exposed al critical one to build a demo should be in place.
Note: Packman repo activation is required for mpc and mpclient 

%prep
%setup -q -n afb-mpdc-%{version}

%build
%cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_libdir}
make %{?_smp_mflags}

%install
CURDIR=$(pwd)
[ -d build ] && cd build
make populate
mkdir -p %{?buildroot}%{_prefix}
cp -r package/* %{?buildroot}%{_prefix}
# add example config file
cp $CURDIR/conf.d/project/mpd.d/mpd-fulup-home.conf %{?buildroot}%{_prefix}/etc

cd $CURDIR
find %{?buildroot}%{_prefix} -type d -exec echo "%dir {}" \;>> pkg_file
find %{?buildroot}%{_prefix} -type f -exec echo "{}" \;>> pkg_file
sed -i 's@%{?buildroot}@@g' pkg_file


%files -f pkg_file
%defattr(-,root,root)

%changelog
* Wed Sep 27 2017 Dominig
- move to git repo
* Tue Aug 01 2017 Ronan
- initial creation
